 -------------------------------------------------------------------------------
-- Title				:	Half Adder	
-- Project			:	Sample code
-- File				:	half_adder.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:	 1 bit half adder
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity half_adder is
    Port ( a 		: in std_logic;
           b 		: in std_logic;
           sum 	: out std_logic;
           carry 	: out std_logic
		 );
end half_adder;

architecture Behavioral of half_adder is

begin

sum  	<=  a xor b;	-- sum o/p

carry 	<= a and b;	-- carry o/p


end Behavioral;
