-------------------------------------------------------------------------------
-- Title				:	VHDL model of TC74xx245
-- Project			:	Sample code
-- File				:	IC245.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.ALL;
use IEEE.std_logic_ARITH.ALL;
use IEEE.std_logic_UNSIGNED.ALL;

entity IC245 is
    port (
        A: inout STD_LOGIC_VECTOR (7 downto 0);
        B: inout STD_LOGIC_VECTOR (7 downto 0);
        OE: in STD_LOGIC;
        DIR: in STD_LOGIC
    );
end IC245;

architecture IC245_arch of IC245 is
begin


-- B to A
A <= B when OE = '0'and DIR = '0' else "ZZZZZZZZ";

-- A to B
B <= A when OE = '0'and DIR = '1' else "ZZZZZZZZ";

end IC245_arch;
