-------------------------------------------------------------------------------
-- Title				:	1:2 Demux
-- Project			:	Sample code
-- File				:	demux2_1.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:	demultiplexer
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity demux2_1 is
    
	Port	 ( 
	           a 	:	 in std_logic;
           	  sel : 	 in std_logic;
              q1  :   out std_logic;
           	  q2  : 	 out std_logic
			   
			  );
end demux2_1;

architecture Behavioral of demux2_1 is
begin

q1	<= a when sel='0' else
		'0';

q2	<= a when sel='1' else
		'0';

end Behavioral;