 -------------------------------------------------------------------------------
-- Title				:	Basic Logic Gates.	
-- Project			:	Sample code
-- File				:	gates.vhd
-------------------------------------------------------------------------------
-- Organization	:	ni logic PVt. Ltd., Pune, India
-------------------------------------------------------------------------------
-- Description		:	
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity gates is
    Port ( a : in std_logic;
           b : in std_logic;
           y_and,y_or,y_nand,y_nor,y_xor,y_xnor,y_not:out std_logic);
end gates;

architecture Behavioral of gates is

begin

 y_and<= a and b;  --modeling of "AND" gate  

 y_or<= a or  b;	 --modeling of "OR" gate  

 y_nand<= a nand b; --modeling of "NAND" gate  

 y_nor<= a nor b;	 --modeling of "NOR" gate  

 y_xor<= a xor b;	 --modeling of "XOR" gate  

 y_xnor<= a xnor b; --modeling of "XNOR" gate  

 y_not<= not a ;	 --modeling of "NOT" gate  



end Behavioral;
